Last modified: 2012-08-04 20:48:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15281 - "column rev_parent_id does not exist" error after update
"column rev_parent_id does not exist" error after update
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Database (Other open bugs)
1.13.x
Other Solaris
: Normal major with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: postgres
  Show dependency treegraph
 
Reported: 2008-08-23 11:11 UTC by Stoyan Angelov
Modified: 2012-08-04 20:48 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
update.php output (1.11.0 to 1.13.0) (6.32 KB, text/plain)
2008-08-23 11:11 UTC, Stoyan Angelov
Details

Description Stoyan Angelov 2008-08-23 11:11:06 UTC
Created attachment 5209 [details]
update.php output (1.11.0 to 1.13.0)

after upgrade from 1.11.0 to 1.13.0 i get the following error when trying to open any of the content pages:

A database error has occurred Query: SELECT rev_id,rev_page,rev_text_id,rev_timestamp,rev_comment,rev_user_text,rev_user,rev_minor_edit,rev_deleted,rev_len,rev_parent_id,page_namespace,page_title,page_latest FROM page,revision WHERE (page_id=rev_page) AND rev_id = '581' LIMIT 1 Function: Revision::fetchRow Error: 1 ERROR: column "rev_parent_id" does not exist
Backtrace:
#0 /my-dir-tree/wiki/includes/db/Database.php(561): DatabasePostgres->reportQueryError('ERROR: column ...', 1, 'SELECT rev_id,...', 'Revision::fetch...', false)
#1 /my-dir-tree/wiki/includes/db/Database.php(969): Database->query('SELECT rev_id,...', 'Revision::fetch...')
#2 /my-dir-tree/wiki/includes/Revision.php(236): Database->select(Array, Array, Array, 'Revision::fetch...', Array)
#3 /my-dir-tree/wiki/includes/Revision.php(165): Revision::fetchFromConds(Object(DatabasePostgres), Array)
#4 /my-dir-tree/wiki/includes/Revision.php(146): Revision::loadFromConds(Object(DatabasePostgres), Array)
#5 /my-dir-tree/wiki/includes/Revision.php(27): Revision::newFromConds(Array)
#6 /my-dir-tree/wiki/includes/Article.php(430): Revision::newFromId('581')
#7 /my-dir-tree/wiki/includes/Article.php(300): Article->fetchContent(0)
#8 /my-dir-tree/wiki/includes/Article.php(218): Article->loadContent()
#9 /my-dir-tree/wiki/includes/Article.php(803): Article->getContent()
#10 /my-dir-tree/wiki/includes/Wiki.php(437): Article->view()
#11 /my-dir-tree/wiki/includes/Wiki.php(59): MediaWiki->performAction(Object(OutputPage), Object(Article), Object(Title), Object(User), Object(WebRequest))
#12 /my-dir-tree/wiki/index.php(93): MediaWiki->initialize(Object(Title), Object(Article), Object(OutputPage), Object(User), Object(WebRequest))
#13 {main}

the database postmaster.log also shows the error:
ERROR:  column "rev_parent_id" does not exist

postgresql is version 8.1.11. update.php completed with no errors - i am attaching the output for reference.
i have reverted back to 1.11.0 and restored the database from backup.
Comment 1 Elly 2008-08-26 17:23:56 UTC
I'm experiencing the same thing on a Linux server RH4, PHP5.2+ that is using PostgreSQL for its db.  It looks like that column is missing from the updates in updaters.inc and is not populating the column
Comment 2 Niccolo Rigacci 2008-08-28 14:47:12 UTC
Same problem here upgrading from 1.9.2 to 1.13.0, PostgreSQL 8.2. No error or warning message was printed during "php update.php".

The problem can be that the maintenance/archives/patch-rev_parent_id.sql executes

ALTER TABLE revision ADD rev_parent_id int unsigned default NULL;

which is an error in PostgreSQL. Removing the "unsigned" does the trick.

Comment 3 Aaron Schulz 2008-09-11 10:01:19 UTC
Fixed in r40725

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links